## org.codehaus.groovy.grails.orm.hibernate.metaclass
Class WithTransactionPersistentMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
          org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
              org.codehaus.groovy.grails.orm.hibernate.metaclass.WithTransactionPersistentMethod

All Implemented Interfaces:
  StaticMethodInvocation, TransactionManagerAware

    public class WithTransactionPersistentMethod

extends AbstractStaticPersistentMethod
implements TransactionManagerAware

Since:
  0.4
Author:
  Graeme Rocher

Constructor Summary
`WithTransactionPersistentMethod(org.hibernate.SessionFactory sessionFactory, ClassLoader classLoader)`

Method Summary
`protected Object` `doInvokeInternal(Class clazz, String methodName, Object[] arguments)`
`void` `setTransactionManager(PlatformTransactionManager transactionManager)` Sets the transaction manager on implementors

Methods inherited from class org.codehaus.groovy.grails.orm.hibernate.metaclass.AbstractStaticPersistentMethod
`getHibernateTemplate, invoke`

Methods inherited from class org.codehaus.groovy.grails.commons.metaclass.AbstractStaticMethodInvocation
`getPattern, isMethodMatch, setPattern, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WithTransactionPersistentMethod

    public WithTransactionPersistentMethod(org.hibernate.SessionFactory sessionFactory,
                                           ClassLoader classLoader)

Method Detail

### doInvokeInternal

    protected Object doInvokeInternal(Class clazz,
                                      String methodName,
                                      Object[] arguments)

  Specified by:
    `doInvokeInternal` in class `AbstractStaticPersistentMethod`

### setTransactionManager

    public void setTransactionManager(PlatformTransactionManager transactionManager)

  Description copied from interface: `TransactionManagerAware`
  Sets the transaction manager on implementors

  Specified by:
    `setTransactionManager` in interface `TransactionManagerAware`
  Parameters:
    `transactionManager` - The TransactionManager implementation

Copyright (c) 2005-2006 The Grails project